View Issue Details

IDProjectCategoryView StatusLast Update
0000003OpenMPT[All Projects] User Interfacepublic2011-01-02 22:08
ReporterrelabsAssigned Torelabs 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.18.03.00 (upgrade first) 
Target VersionOpenMPT 1.19.01.00 (upgrade first)Fixed in VersionOpenMPT 1.19.01.00 (upgrade first) 
Summary0000003: Sample zoom doesn't preserve position.
Description

When for example zooming out, the previously shown area isn't necessarily in the view of the changed zoom level. The change behaviour is dependent on the zoom levels between which the change happens.

Steps To Reproduce

To make the behaviour easier to notice, make a sample selection from middle of loaded sample with 1:1 zoom. Zooming out may cause the selection to go out of the sample screen although it should remain in the middle of the view when possible.

TagsNo tags attached.
Has the bug occurred in previous versions?In 1.16
Tested code revision (in case you know it)

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2010-10-30 15:31 relabs New Issue
2010-10-30 15:39 relabs (optional) Has the bug occurred in previous versions? => In 1.16
2010-11-07 22:37 relabs Status new => confirmed
2011-01-02 16:15 relabs Status confirmed => resolved
2011-01-02 16:15 relabs Resolution open => fixed
2011-01-02 16:15 relabs Product Version OpenMPT 1.19.00.* (old testing) => OpenMPT 1.18.03.00 (upgrade first)
2011-01-02 16:15 relabs Target Version => OpenMPT 1.19.01.00 (upgrade first)
2011-01-02 22:07 Saga Musix Fixed in Version => OpenMPT 1.19.00.* (old testing)
2011-01-02 22:08 Saga Musix Assigned To => relabs